sudo apt-get install mysql-server mysql-client
mysql -u root

grant select,insert,delete,update,create,drop,alter,index on harkdesigner.* to harkdesigner@localhost;
create database harkdesigner;
use harkdesigner;

drop table accounts;
create table accounts (
	id        int(10) unsigned not null unique auto_increment,
	username  varchar(255) not null unique,
	password  varchar(200) not null,
	profileid int(12) unsigned unique,
	created   datetime not null, 
	primary key (ID)
) COMMENT = "USER Account";

drop table profiles;
create table profiles (
	id          int(10) unsigned not null unique auto_increment,
	username  varchar(255) not null unique,
	email       varchar(255),
	numoflogins integer,
	description text,
	primary key (id)
) COMMENT = 'Profiles';

drop table files;
create table files (
	id   	 int(10) unsigned not null unique auto_increment,
        category varchar(255) not null,
        name     varchar(255) not null,
        primary key(id)
) COMMENT = 'Files';

create unique index user_idx on accounts (username asc);
create index account_idx on accounts (id asc);
create unique index profile_idx on profiles (id asc);
create unique index files_idx on files (id asc);
