import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import harkdesigner


class PythonNode (harkdesigner.TestHarkDesigner):
    def test_terminalRoles(self):
        # MAIN's node
        self.addSheet("LOOP0")
        self.addNode("LOOP0")

        # add a terminal role on LOOP0's node
        self.activateSheet("LOOP0")
        self.addNode("LocalizeMUSIC")
        self.addNode("SourceTracker")
        self.reshape()

        # add terminal roles and test
        self.addTerminalRole(
            "node_LocalizeMUSIC_1", "INPUT", "Input", "XXX")
        self.addTerminalRole(
            "node_SourceTracker_1", "OUTPUT", "Output", "")
        self.assertTerminalRoleName("node_LocalizeMUSIC_1", "INPUT", "XXX")
        self.assertTerminalRoleName("node_SourceTracker_1", "OUTPUT", "OUTPUT")

        # test if dynamic node has the term
        self.activateSheet("MAIN")
        self.assertTermExists("node_LOOP0_1", "XXX")
        self.assertTermExists("node_LOOP0_1", "OUTPUT")

        # delete terminal roles and test
        self.activateSheet("LOOP0")
        self.deleteTerminalRole("node_SourceTracker_1", "OUTPUT", "Output")
        self.deleteTerminalRole("node_LocalizeMUSIC_1", "INPUT", "Input")

        # test if dynomic node terms are disappeared.
        self.assertTermNotExists("node_LOOP0_1", "XXX")
        self.assertTermNotExists("node_LOOP0_1", "OUTPUT")


if __name__ == "__main__":
    unittest.main()
