import unittest
from selenium import webdriver
from selenium.webdriver.common.keys import Keys
import harkdesigner

class PythonNode (harkdesigner.TestHarkDesigner):
    def test_ticket1252(self):
        # add a sheet
        self.addNode("ConstantLocalization")
        self.reshape()
        network = self.driver.execute_script("return network")

        # check if important properties kept
        props = ["nodes", "links", "sheets", "terminalRoles"]
        self.assertEqual(set(network.keys()), set(props))

        # check if all parameters of all nodes has list
        for node in network["nodes"]:
            for p in node["parameters"]:
                self.assertIn("list", p.keys())

if __name__ == "__main__":
    unittest.main()
